com.lowagie.rups.view.itext.treenodes

## Class FormTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - com.lowagie.rups.view.icons.IconTreeNode
    - - com.lowagie.rups.view.itext.treenodes.FormTreeNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode
  Direct Known Subclasses:
    XfaTreeNode

      public class FormTreeNode
      extends IconTreeNode

  A FormTreeNode is a standard node in a FormTree.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PdfObjectTreeNode` | `object_node` The corresponding tree node in the PdfTree.
    `private static long` | `serialVersionUID` A serial version UID.

    - ### Fields inherited from class com.lowagie.rups.view.icons.IconTreeNode

      `icon`

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormTreeNode()` Creates the root node of the FormTree.
    `FormTreeNode(PdfObjectTreeNode node)` Creates a node corresponding with a node in the PdfTree.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PdfObjectTreeNode` | `getCorrespondingPdfObjectNode()` Gets the node in the PdfTree that corresponds with this FormTreeNode.

    - ### Methods inherited from class com.lowagie.rups.view.icons.IconTreeNode

      `getIcon`

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### object_node

          protected PdfObjectTreeNode object_node

      The corresponding tree node in the PdfTree.

    - #### serialVersionUID

          private static final long serialVersionUID

      A serial version UID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FormTreeNode

          public FormTreeNode()

      Creates the root node of the FormTree.

    - #### FormTreeNode

          public FormTreeNode(PdfObjectTreeNode node)

      Creates a node corresponding with a node in the PdfTree.
      Parameters:
        `node` - a corresponding node

  - ### Method Detail

    - #### getCorrespondingPdfObjectNode

          public PdfObjectTreeNode getCorrespondingPdfObjectNode()

      Gets the node in the PdfTree that corresponds with this FormTreeNode.
      Returns:
        a PdfObjectTreeNode in the PdfTree